/*========================================================================
     This is a part of "gpop" - Gaussian output post processor
             Copyright (c) 2002-2009 by A. Miyoshi, Univ. Tokyo
========================================================================*/

#ifndef _GPOP1SCF_H_
#define _GPOP1SCF_H_

#include "gpoplibc.h"

int findJobHead(istream &inf, string &gauv);
int findFreqJob(istream &inf, string &route, string &comm);
int getGeoFrq(istream &inf, vector<string> &gm, vector<string> &fr,
 string &estate, string &scfene, string &chgmul);
int getCBSQB3summary(istream &inf, string &e0K_cbsqb3);
string getRouteSect(istream &inf);
string getCommLine(istream &inf);
int findJobEnd(istream &inf);
int outFileGeo(string &basfln, vector<string> &geom);
int outFileFrq(string &basfln, vector<string> &freq, jobInfos &ji,
 molecGeom &mg);
int outFileXyz(string &basfln, jobInfos &ji, molecGeom &mg);
int outFileCsv(string &basfln, jobInfos &ji, molecGeom &mg,
 freqTable &ft);
int outFileZpe(string &basfln, jobInfos &ji, freqTable &ft);
int outFileModTemplate(string &basfln, jobInfos &ji, molecGeom &mg,
 freqTable &ft, int isCBSQB3job, string &e0K_cbsqb3);

#endif
